"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociatePhoneNumberWithUser_1 = require("../model/operations/AssociatePhoneNumberWithUser");
var AssociatePhoneNumberWithUserCommand = /** @class */ (function () {
    function AssociatePhoneNumberWithUserCommand(input) {
        this.input = input;
        this.model = AssociatePhoneNumberWithUser_1.AssociatePhoneNumberWithUser;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociatePhoneNumberWithUserCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociatePhoneNumberWithUserCommand;
}());
exports.AssociatePhoneNumberWithUserCommand = AssociatePhoneNumberWithUserCommand;
//# sourceMappingURL=AssociatePhoneNumberWithUserCommand.js.map