/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchSuspendUserInput } from "../types/BatchSuspendUserInput";
import { BatchSuspendUserOutput } from "../types/BatchSuspendUserOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/BatchSuspendUserInput";
export * from "../types/BatchSuspendUserOutput";
export * from "../types/BatchSuspendUserExceptionsUnion";
export declare class BatchSuspendUserCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchSuspendUserInput, OutputTypesUnion, BatchSuspendUserOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: BatchSuspendUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchSuspendUserInput, BatchSuspendUserOutput, _stream.Readable>;
    constructor(input: BatchSuspendUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<BatchSuspendUserInput, BatchSuspendUserOutput>;
}
