/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchUnsuspendUserInput } from "../types/BatchUnsuspendUserInput";
import { BatchUnsuspendUserOutput } from "../types/BatchUnsuspendUserOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/BatchUnsuspendUserInput";
export * from "../types/BatchUnsuspendUserOutput";
export * from "../types/BatchUnsuspendUserExceptionsUnion";
export declare class BatchUnsuspendUserCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchUnsuspendUserInput, OutputTypesUnion, BatchUnsuspendUserOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: BatchUnsuspendUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchUnsuspendUserInput, BatchUnsuspendUserOutput, _stream.Readable>;
    constructor(input: BatchUnsuspendUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<BatchUnsuspendUserInput, BatchUnsuspendUserOutput>;
}
