/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchUpdatePhoneNumberInput } from "../types/BatchUpdatePhoneNumberInput";
import { BatchUpdatePhoneNumberOutput } from "../types/BatchUpdatePhoneNumberOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/BatchUpdatePhoneNumberInput";
export * from "../types/BatchUpdatePhoneNumberOutput";
export * from "../types/BatchUpdatePhoneNumberExceptionsUnion";
export declare class BatchUpdatePhoneNumberCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchUpdatePhoneNumberInput, OutputTypesUnion, BatchUpdatePhoneNumberOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: BatchUpdatePhoneNumberInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchUpdatePhoneNumberInput, BatchUpdatePhoneNumberOutput, _stream.Readable>;
    constructor(input: BatchUpdatePhoneNumberInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<BatchUpdatePhoneNumberInput, BatchUpdatePhoneNumberOutput>;
}
