"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchUpdatePhoneNumber_1 = require("../model/operations/BatchUpdatePhoneNumber");
var BatchUpdatePhoneNumberCommand = /** @class */ (function () {
    function BatchUpdatePhoneNumberCommand(input) {
        this.input = input;
        this.model = BatchUpdatePhoneNumber_1.BatchUpdatePhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchUpdatePhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchUpdatePhoneNumberCommand;
}());
exports.BatchUpdatePhoneNumberCommand = BatchUpdatePhoneNumberCommand;
//# sourceMappingURL=BatchUpdatePhoneNumberCommand.js.map