/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateAccountInput } from "../types/CreateAccountInput";
import { CreateAccountOutput } from "../types/CreateAccountOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/CreateAccountInput";
export * from "../types/CreateAccountOutput";
export * from "../types/CreateAccountExceptionsUnion";
export declare class CreateAccountCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateAccountInput, OutputTypesUnion, CreateAccountOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: CreateAccountInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateAccountInput, CreateAccountOutput, _stream.Readable>;
    constructor(input: CreateAccountInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<CreateAccountInput, CreateAccountOutput>;
}
