/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePhoneNumberOrderInput } from "../types/CreatePhoneNumberOrderInput";
import { CreatePhoneNumberOrderOutput } from "../types/CreatePhoneNumberOrderOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/CreatePhoneNumberOrderInput";
export * from "../types/CreatePhoneNumberOrderOutput";
export * from "../types/CreatePhoneNumberOrderExceptionsUnion";
export declare class CreatePhoneNumberOrderCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePhoneNumberOrderInput, OutputTypesUnion, CreatePhoneNumberOrderOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: CreatePhoneNumberOrderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePhoneNumberOrderInput, CreatePhoneNumberOrderOutput, _stream.Readable>;
    constructor(input: CreatePhoneNumberOrderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<CreatePhoneNumberOrderInput, CreatePhoneNumberOrderOutput>;
}
