"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreatePhoneNumberOrder_1 = require("../model/operations/CreatePhoneNumberOrder");
var CreatePhoneNumberOrderCommand = /** @class */ (function () {
    function CreatePhoneNumberOrderCommand(input) {
        this.input = input;
        this.model = CreatePhoneNumberOrder_1.CreatePhoneNumberOrder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreatePhoneNumberOrderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreatePhoneNumberOrderCommand;
}());
exports.CreatePhoneNumberOrderCommand = CreatePhoneNumberOrderCommand;
//# sourceMappingURL=CreatePhoneNumberOrderCommand.js.map