/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteAccountInput } from "../types/DeleteAccountInput";
import { DeleteAccountOutput } from "../types/DeleteAccountOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/DeleteAccountInput";
export * from "../types/DeleteAccountOutput";
export * from "../types/DeleteAccountExceptionsUnion";
export declare class DeleteAccountCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteAccountInput, OutputTypesUnion, DeleteAccountOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteAccountInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteAccountInput, DeleteAccountOutput, _stream.Readable>;
    constructor(input: DeleteAccountInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<DeleteAccountInput, DeleteAccountOutput>;
}
