"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeletePhoneNumber_1 = require("../model/operations/DeletePhoneNumber");
var DeletePhoneNumberCommand = /** @class */ (function () {
    function DeletePhoneNumberCommand(input) {
        this.input = input;
        this.model = DeletePhoneNumber_1.DeletePhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeletePhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeletePhoneNumberCommand;
}());
exports.DeletePhoneNumberCommand = DeletePhoneNumberCommand;
//# sourceMappingURL=DeletePhoneNumberCommand.js.map