/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteVoiceConnectorInput } from "../types/DeleteVoiceConnectorInput";
import { DeleteVoiceConnectorOutput } from "../types/DeleteVoiceConnectorOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/DeleteVoiceConnectorInput";
export * from "../types/DeleteVoiceConnectorOutput";
export * from "../types/DeleteVoiceConnectorExceptionsUnion";
export declare class DeleteVoiceConnectorCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteVoiceConnectorInput, OutputTypesUnion, DeleteVoiceConnectorOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteVoiceConnectorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteVoiceConnectorInput, DeleteVoiceConnectorOutput, _stream.Readable>;
    constructor(input: DeleteVoiceConnectorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<DeleteVoiceConnectorInput, DeleteVoiceConnectorOutput>;
}
