"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteVoiceConnectorOrigination_1 = require("../model/operations/DeleteVoiceConnectorOrigination");
var DeleteVoiceConnectorOriginationCommand = /** @class */ (function () {
    function DeleteVoiceConnectorOriginationCommand(input) {
        this.input = input;
        this.model = DeleteVoiceConnectorOrigination_1.DeleteVoiceConnectorOrigination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteVoiceConnectorOriginationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteVoiceConnectorOriginationCommand;
}());
exports.DeleteVoiceConnectorOriginationCommand = DeleteVoiceConnectorOriginationCommand;
//# sourceMappingURL=DeleteVoiceConnectorOriginationCommand.js.map