/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteVoiceConnectorTerminationInput } from "../types/DeleteVoiceConnectorTerminationInput";
import { DeleteVoiceConnectorTerminationOutput } from "../types/DeleteVoiceConnectorTerminationOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/DeleteVoiceConnectorTerminationInput";
export * from "../types/DeleteVoiceConnectorTerminationOutput";
export * from "../types/DeleteVoiceConnectorTerminationExceptionsUnion";
export declare class DeleteVoiceConnectorTerminationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteVoiceConnectorTerminationInput, OutputTypesUnion, DeleteVoiceConnectorTerminationOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteVoiceConnectorTerminationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteVoiceConnectorTerminationInput, DeleteVoiceConnectorTerminationOutput, _stream.Readable>;
    constructor(input: DeleteVoiceConnectorTerminationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<DeleteVoiceConnectorTerminationInput, DeleteVoiceConnectorTerminationOutput>;
}
