/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisassociatePhoneNumberFromUserInput } from "../types/DisassociatePhoneNumberFromUserInput";
import { DisassociatePhoneNumberFromUserOutput } from "../types/DisassociatePhoneNumberFromUserOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/DisassociatePhoneNumberFromUserInput";
export * from "../types/DisassociatePhoneNumberFromUserOutput";
export * from "../types/DisassociatePhoneNumberFromUserExceptionsUnion";
export declare class DisassociatePhoneNumberFromUserCommand implements __aws_sdk_types.Command<InputTypesUnion, DisassociatePhoneNumberFromUserInput, OutputTypesUnion, DisassociatePhoneNumberFromUserOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: DisassociatePhoneNumberFromUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisassociatePhoneNumberFromUserInput, DisassociatePhoneNumberFromUserOutput, _stream.Readable>;
    constructor(input: DisassociatePhoneNumberFromUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<DisassociatePhoneNumberFromUserInput, DisassociatePhoneNumberFromUserOutput>;
}
