/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisassociatePhoneNumbersFromVoiceConnectorInput } from "../types/DisassociatePhoneNumbersFromVoiceConnectorInput";
import { DisassociatePhoneNumbersFromVoiceConnectorOutput } from "../types/DisassociatePhoneNumbersFromVoiceConnectorOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/DisassociatePhoneNumbersFromVoiceConnectorInput";
export * from "../types/DisassociatePhoneNumbersFromVoiceConnectorOutput";
export * from "../types/DisassociatePhoneNumbersFromVoiceConnectorExceptionsUnion";
export declare class DisassociatePhoneNumbersFromVoiceConnectorCommand implements __aws_sdk_types.Command<InputTypesUnion, DisassociatePhoneNumbersFromVoiceConnectorInput, OutputTypesUnion, DisassociatePhoneNumbersFromVoiceConnectorOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: DisassociatePhoneNumbersFromVoiceConnectorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisassociatePhoneNumbersFromVoiceConnectorInput, DisassociatePhoneNumbersFromVoiceConnectorOutput, _stream.Readable>;
    constructor(input: DisassociatePhoneNumbersFromVoiceConnectorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<DisassociatePhoneNumbersFromVoiceConnectorInput, DisassociatePhoneNumbersFromVoiceConnectorOutput>;
}
