"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociatePhoneNumbersFromVoiceConnector_1 = require("../model/operations/DisassociatePhoneNumbersFromVoiceConnector");
var DisassociatePhoneNumbersFromVoiceConnectorCommand = /** @class */ (function () {
    function DisassociatePhoneNumbersFromVoiceConnectorCommand(input) {
        this.input = input;
        this.model = DisassociatePhoneNumbersFromVoiceConnector_1.DisassociatePhoneNumbersFromVoiceConnector;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociatePhoneNumbersFromVoiceConnectorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociatePhoneNumbersFromVoiceConnectorCommand;
}());
exports.DisassociatePhoneNumbersFromVoiceConnectorCommand = DisassociatePhoneNumbersFromVoiceConnectorCommand;
//# sourceMappingURL=DisassociatePhoneNumbersFromVoiceConnectorCommand.js.map