/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetGlobalSettingsInput } from "../types/GetGlobalSettingsInput";
import { GetGlobalSettingsOutput } from "../types/GetGlobalSettingsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetGlobalSettingsInput";
export * from "../types/GetGlobalSettingsOutput";
export * from "../types/GetGlobalSettingsExceptionsUnion";
export declare class GetGlobalSettingsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetGlobalSettingsInput, OutputTypesUnion, GetGlobalSettingsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetGlobalSettingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetGlobalSettingsInput, GetGlobalSettingsOutput, _stream.Readable>;
    constructor(input: GetGlobalSettingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetGlobalSettingsInput, GetGlobalSettingsOutput>;
}
