/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetUserInput } from "../types/GetUserInput";
import { GetUserOutput } from "../types/GetUserOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetUserInput";
export * from "../types/GetUserOutput";
export * from "../types/GetUserExceptionsUnion";
export declare class GetUserCommand implements __aws_sdk_types.Command<InputTypesUnion, GetUserInput, OutputTypesUnion, GetUserOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetUserInput, GetUserOutput, _stream.Readable>;
    constructor(input: GetUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetUserInput, GetUserOutput>;
}
