/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetVoiceConnectorInput } from "../types/GetVoiceConnectorInput";
import { GetVoiceConnectorOutput } from "../types/GetVoiceConnectorOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetVoiceConnectorInput";
export * from "../types/GetVoiceConnectorOutput";
export * from "../types/GetVoiceConnectorExceptionsUnion";
export declare class GetVoiceConnectorCommand implements __aws_sdk_types.Command<InputTypesUnion, GetVoiceConnectorInput, OutputTypesUnion, GetVoiceConnectorOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetVoiceConnectorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetVoiceConnectorInput, GetVoiceConnectorOutput, _stream.Readable>;
    constructor(input: GetVoiceConnectorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetVoiceConnectorInput, GetVoiceConnectorOutput>;
}
