/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetVoiceConnectorOriginationInput } from "../types/GetVoiceConnectorOriginationInput";
import { GetVoiceConnectorOriginationOutput } from "../types/GetVoiceConnectorOriginationOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetVoiceConnectorOriginationInput";
export * from "../types/GetVoiceConnectorOriginationOutput";
export * from "../types/GetVoiceConnectorOriginationExceptionsUnion";
export declare class GetVoiceConnectorOriginationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetVoiceConnectorOriginationInput, OutputTypesUnion, GetVoiceConnectorOriginationOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetVoiceConnectorOriginationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetVoiceConnectorOriginationInput, GetVoiceConnectorOriginationOutput, _stream.Readable>;
    constructor(input: GetVoiceConnectorOriginationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetVoiceConnectorOriginationInput, GetVoiceConnectorOriginationOutput>;
}
