"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetVoiceConnectorOrigination_1 = require("../model/operations/GetVoiceConnectorOrigination");
var GetVoiceConnectorOriginationCommand = /** @class */ (function () {
    function GetVoiceConnectorOriginationCommand(input) {
        this.input = input;
        this.model = GetVoiceConnectorOrigination_1.GetVoiceConnectorOrigination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetVoiceConnectorOriginationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetVoiceConnectorOriginationCommand;
}());
exports.GetVoiceConnectorOriginationCommand = GetVoiceConnectorOriginationCommand;
//# sourceMappingURL=GetVoiceConnectorOriginationCommand.js.map