/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetVoiceConnectorTerminationHealthInput } from "../types/GetVoiceConnectorTerminationHealthInput";
import { GetVoiceConnectorTerminationHealthOutput } from "../types/GetVoiceConnectorTerminationHealthOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetVoiceConnectorTerminationHealthInput";
export * from "../types/GetVoiceConnectorTerminationHealthOutput";
export * from "../types/GetVoiceConnectorTerminationHealthExceptionsUnion";
export declare class GetVoiceConnectorTerminationHealthCommand implements __aws_sdk_types.Command<InputTypesUnion, GetVoiceConnectorTerminationHealthInput, OutputTypesUnion, GetVoiceConnectorTerminationHealthOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetVoiceConnectorTerminationHealthInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetVoiceConnectorTerminationHealthInput, GetVoiceConnectorTerminationHealthOutput, _stream.Readable>;
    constructor(input: GetVoiceConnectorTerminationHealthInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetVoiceConnectorTerminationHealthInput, GetVoiceConnectorTerminationHealthOutput>;
}
