"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetVoiceConnectorTerminationHealth_1 = require("../model/operations/GetVoiceConnectorTerminationHealth");
var GetVoiceConnectorTerminationHealthCommand = /** @class */ (function () {
    function GetVoiceConnectorTerminationHealthCommand(input) {
        this.input = input;
        this.model = GetVoiceConnectorTerminationHealth_1.GetVoiceConnectorTerminationHealth;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetVoiceConnectorTerminationHealthCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetVoiceConnectorTerminationHealthCommand;
}());
exports.GetVoiceConnectorTerminationHealthCommand = GetVoiceConnectorTerminationHealthCommand;
//# sourceMappingURL=GetVoiceConnectorTerminationHealthCommand.js.map