/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListBotsInput } from "../types/ListBotsInput";
import { ListBotsOutput } from "../types/ListBotsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/ListBotsInput";
export * from "../types/ListBotsOutput";
export * from "../types/ListBotsExceptionsUnion";
export declare class ListBotsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListBotsInput, OutputTypesUnion, ListBotsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: ListBotsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListBotsInput, ListBotsOutput, _stream.Readable>;
    constructor(input: ListBotsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<ListBotsInput, ListBotsOutput>;
}
