/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPhoneNumberOrdersInput } from "../types/ListPhoneNumberOrdersInput";
import { ListPhoneNumberOrdersOutput } from "../types/ListPhoneNumberOrdersOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/ListPhoneNumberOrdersInput";
export * from "../types/ListPhoneNumberOrdersOutput";
export * from "../types/ListPhoneNumberOrdersExceptionsUnion";
export declare class ListPhoneNumberOrdersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPhoneNumberOrdersInput, OutputTypesUnion, ListPhoneNumberOrdersOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: ListPhoneNumberOrdersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPhoneNumberOrdersInput, ListPhoneNumberOrdersOutput, _stream.Readable>;
    constructor(input: ListPhoneNumberOrdersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<ListPhoneNumberOrdersInput, ListPhoneNumberOrdersOutput>;
}
