"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListVoiceConnectorTerminationCredentials_1 = require("../model/operations/ListVoiceConnectorTerminationCredentials");
var ListVoiceConnectorTerminationCredentialsCommand = /** @class */ (function () {
    function ListVoiceConnectorTerminationCredentialsCommand(input) {
        this.input = input;
        this.model = ListVoiceConnectorTerminationCredentials_1.ListVoiceConnectorTerminationCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListVoiceConnectorTerminationCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListVoiceConnectorTerminationCredentialsCommand;
}());
exports.ListVoiceConnectorTerminationCredentialsCommand = ListVoiceConnectorTerminationCredentialsCommand;
//# sourceMappingURL=ListVoiceConnectorTerminationCredentialsCommand.js.map