/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutVoiceConnectorTerminationInput } from "../types/PutVoiceConnectorTerminationInput";
import { PutVoiceConnectorTerminationOutput } from "../types/PutVoiceConnectorTerminationOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/PutVoiceConnectorTerminationInput";
export * from "../types/PutVoiceConnectorTerminationOutput";
export * from "../types/PutVoiceConnectorTerminationExceptionsUnion";
export declare class PutVoiceConnectorTerminationCommand implements __aws_sdk_types.Command<InputTypesUnion, PutVoiceConnectorTerminationInput, OutputTypesUnion, PutVoiceConnectorTerminationOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: PutVoiceConnectorTerminationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutVoiceConnectorTerminationInput, PutVoiceConnectorTerminationOutput, _stream.Readable>;
    constructor(input: PutVoiceConnectorTerminationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<PutVoiceConnectorTerminationInput, PutVoiceConnectorTerminationOutput>;
}
