"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SearchAvailablePhoneNumbers_1 = require("../model/operations/SearchAvailablePhoneNumbers");
var SearchAvailablePhoneNumbersCommand = /** @class */ (function () {
    function SearchAvailablePhoneNumbersCommand(input) {
        this.input = input;
        this.model = SearchAvailablePhoneNumbers_1.SearchAvailablePhoneNumbers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SearchAvailablePhoneNumbersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SearchAvailablePhoneNumbersCommand;
}());
exports.SearchAvailablePhoneNumbersCommand = SearchAvailablePhoneNumbersCommand;
//# sourceMappingURL=SearchAvailablePhoneNumbersCommand.js.map