/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateGlobalSettingsInput } from "../types/UpdateGlobalSettingsInput";
import { UpdateGlobalSettingsOutput } from "../types/UpdateGlobalSettingsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/UpdateGlobalSettingsInput";
export * from "../types/UpdateGlobalSettingsOutput";
export * from "../types/UpdateGlobalSettingsExceptionsUnion";
export declare class UpdateGlobalSettingsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateGlobalSettingsInput, OutputTypesUnion, UpdateGlobalSettingsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateGlobalSettingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateGlobalSettingsInput, UpdateGlobalSettingsOutput, _stream.Readable>;
    constructor(input: UpdateGlobalSettingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<UpdateGlobalSettingsInput, UpdateGlobalSettingsOutput>;
}
