/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateUserInput } from "../types/UpdateUserInput";
import { UpdateUserOutput } from "../types/UpdateUserOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/UpdateUserInput";
export * from "../types/UpdateUserOutput";
export * from "../types/UpdateUserExceptionsUnion";
export declare class UpdateUserCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateUserInput, OutputTypesUnion, UpdateUserOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateUserInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateUserInput, UpdateUserOutput, _stream.Readable>;
    constructor(input: UpdateUserInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<UpdateUserInput, UpdateUserOutput>;
}
