/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateUserSettingsInput } from "../types/UpdateUserSettingsInput";
import { UpdateUserSettingsOutput } from "../types/UpdateUserSettingsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/UpdateUserSettingsInput";
export * from "../types/UpdateUserSettingsOutput";
export * from "../types/UpdateUserSettingsExceptionsUnion";
export declare class UpdateUserSettingsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateUserSettingsInput, OutputTypesUnion, UpdateUserSettingsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateUserSettingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateUserSettingsInput, UpdateUserSettingsOutput, _stream.Readable>;
    constructor(input: UpdateUserSettingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<UpdateUserSettingsInput, UpdateUserSettingsOutput>;
}
