"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateUserSettings_1 = require("../model/operations/UpdateUserSettings");
var UpdateUserSettingsCommand = /** @class */ (function () {
    function UpdateUserSettingsCommand(input) {
        this.input = input;
        this.model = UpdateUserSettings_1.UpdateUserSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateUserSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateUserSettingsCommand;
}());
exports.UpdateUserSettingsCommand = UpdateUserSettingsCommand;
//# sourceMappingURL=UpdateUserSettingsCommand.js.map