/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateVoiceConnectorInput } from "../types/UpdateVoiceConnectorInput";
import { UpdateVoiceConnectorOutput } from "../types/UpdateVoiceConnectorOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/UpdateVoiceConnectorInput";
export * from "../types/UpdateVoiceConnectorOutput";
export * from "../types/UpdateVoiceConnectorExceptionsUnion";
export declare class UpdateVoiceConnectorCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateVoiceConnectorInput, OutputTypesUnion, UpdateVoiceConnectorOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateVoiceConnectorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateVoiceConnectorInput, UpdateVoiceConnectorOutput, _stream.Readable>;
    constructor(input: UpdateVoiceConnectorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<UpdateVoiceConnectorInput, UpdateVoiceConnectorOutput>;
}
