"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPhoneNumberOrdersInput_1 = require("../shapes/ListPhoneNumberOrdersInput");
var ListPhoneNumberOrdersOutput_1 = require("../shapes/ListPhoneNumberOrdersOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPhoneNumberOrders = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPhoneNumberOrders",
    http: {
        method: "GET",
        requestUri: "/phone-number-orders"
    },
    input: {
        shape: ListPhoneNumberOrdersInput_1.ListPhoneNumberOrdersInput
    },
    output: {
        shape: ListPhoneNumberOrdersOutput_1.ListPhoneNumberOrdersOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListPhoneNumberOrders.js.map