"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociatePhoneNumberWithUserInput = {
    type: "structure",
    required: ["AccountId", "UserId", "E164PhoneNumber"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        UserId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "userId"
        },
        E164PhoneNumber: {
            shape: {
                type: "string",
                sensitive: true
            }
        }
    }
};
//# sourceMappingURL=AssociatePhoneNumberWithUserInput.js.map