"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListAccountsInput = {
    type: "structure",
    required: [],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            },
            location: "querystring",
            locationName: "name"
        },
        UserEmail: {
            shape: {
                type: "string",
                sensitive: true
            },
            location: "querystring",
            locationName: "user-email"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "next-token"
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            },
            location: "querystring",
            locationName: "max-results"
        }
    }
};
//# sourceMappingURL=ListAccountsInput.js.map