"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListBotsInput = {
    type: "structure",
    required: ["AccountId"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            },
            location: "querystring",
            locationName: "max-results"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "next-token"
        }
    }
};
//# sourceMappingURL=ListBotsInput.js.map