"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListPhoneNumbersInput = {
    type: "structure",
    required: [],
    members: {
        Status: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "status"
        },
        ProductType: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "product-type"
        },
        FilterName: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "filter-name"
        },
        FilterValue: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "filter-value"
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            },
            location: "querystring",
            locationName: "max-results"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "next-token"
        }
    }
};
//# sourceMappingURL=ListPhoneNumbersInput.js.map