"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListUsersInput = {
    type: "structure",
    required: ["AccountId"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        UserEmail: {
            shape: {
                type: "string",
                sensitive: true
            },
            location: "querystring",
            locationName: "user-email"
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            },
            location: "querystring",
            locationName: "max-results"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "next-token"
        }
    }
};
//# sourceMappingURL=ListUsersInput.js.map