"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccountSettings_1 = require("./_AccountSettings");
exports.UpdateAccountSettingsInput = {
    type: "structure",
    required: ["AccountId", "AccountSettings"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        AccountSettings: {
            shape: _AccountSettings_1._AccountSettings
        }
    }
};
//# sourceMappingURL=UpdateAccountSettingsInput.js.map