"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LicenseList_1 = require("./_LicenseList");
exports._Account = {
    type: "structure",
    required: ["AwsAccountId", "AccountId", "Name"],
    members: {
        AwsAccountId: {
            shape: {
                type: "string"
            }
        },
        AccountId: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        AccountType: {
            shape: {
                type: "string"
            }
        },
        CreatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        DefaultLicense: {
            shape: {
                type: "string"
            }
        },
        SupportedLicenses: {
            shape: _LicenseList_1._LicenseList
        }
    }
};
//# sourceMappingURL=_Account.js.map