"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._OriginationRoute = {
    type: "structure",
    required: [],
    members: {
        Host: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        Protocol: {
            shape: {
                type: "string"
            }
        },
        Priority: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        Weight: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_OriginationRoute.js.map