"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PhoneNumberCapabilities_1 = require("./_PhoneNumberCapabilities");
var _PhoneNumberAssociationList_1 = require("./_PhoneNumberAssociationList");
exports._PhoneNumber = {
    type: "structure",
    required: [],
    members: {
        PhoneNumberId: {
            shape: {
                type: "string"
            }
        },
        E164PhoneNumber: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        ProductType: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        Capabilities: {
            shape: _PhoneNumberCapabilities_1._PhoneNumberCapabilities
        },
        Associations: {
            shape: _PhoneNumberAssociationList_1._PhoneNumberAssociationList
        },
        CreatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        UpdatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        DeletionTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_PhoneNumber.js.map