"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CallingRegionList_1 = require("./_CallingRegionList");
var _StringList_1 = require("./_StringList");
exports._Termination = {
    type: "structure",
    required: [],
    members: {
        CpsLimit: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        DefaultPhoneNumber: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        CallingRegions: {
            shape: _CallingRegionList_1._CallingRegionList
        },
        CidrAllowedList: {
            shape: _StringList_1._StringList
        },
        Disabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_Termination.js.map