"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._User = {
    type: "structure",
    required: ["UserId"],
    members: {
        UserId: {
            shape: {
                type: "string"
            }
        },
        AccountId: {
            shape: {
                type: "string"
            }
        },
        PrimaryEmail: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        PrimaryProvisionedNumber: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        DisplayName: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        LicenseType: {
            shape: {
                type: "string"
            }
        },
        UserRegistrationStatus: {
            shape: {
                type: "string"
            }
        },
        UserInvitationStatus: {
            shape: {
                type: "string"
            }
        },
        RegisteredOn: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        InvitedOn: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        PersonalPIN: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_User.js.map