"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._VoiceConnector = {
    type: "structure",
    required: [],
    members: {
        VoiceConnectorId: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OutboundHostName: {
            shape: {
                type: "string"
            }
        },
        RequireEncryption: {
            shape: {
                type: "boolean"
            }
        },
        CreatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        UpdatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_VoiceConnector.js.map