import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The input parameters don't match the service's restrictions.</p>
 */
export interface BadRequestException extends __ServiceException__<_BadRequestExceptionDetails> {
    name: "BadRequestException";
}
export interface _BadRequestExceptionDetails {
    /**
     * _ErrorCode shape
     */
    Code?: "Unauthorized" | "Forbidden" | "NotFound" | "BadRequest" | "Conflict" | "ServiceFailure" | "ServiceUnavailable" | "Unprocessable" | "Throttled" | "PreconditionFailed" | string;
    /**
     * _String shape
     */
    Message?: string;
}
