import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The request could not be processed because of conflict in the current state of the resource.</p>
 */
export interface ConflictException extends __ServiceException__<_ConflictExceptionDetails> {
    name: "ConflictException";
}
export interface _ConflictExceptionDetails {
    /**
     * _ErrorCode shape
     */
    Code?: "Unauthorized" | "Forbidden" | "NotFound" | "BadRequest" | "Conflict" | "ServiceFailure" | "ServiceUnavailable" | "Unprocessable" | "Throttled" | "PreconditionFailed" | string;
    /**
     * _String shape
     */
    Message?: string;
}
