import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The request exceeds the resource limit.</p>
 */
export interface ResourceLimitExceededException extends __ServiceException__<_ResourceLimitExceededExceptionDetails> {
    name: "ResourceLimitExceededException";
}
export interface _ResourceLimitExceededExceptionDetails {
    /**
     * _ErrorCode shape
     */
    Code?: "Unauthorized" | "Forbidden" | "NotFound" | "BadRequest" | "Conflict" | "ServiceFailure" | "ServiceUnavailable" | "Unprocessable" | "Throttled" | "PreconditionFailed" | string;
    /**
     * _String shape
     */
    Message?: string;
}
