import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The service is currently unavailable.</p>
 */
export interface ServiceUnavailableException extends __ServiceException__<_ServiceUnavailableExceptionDetails> {
    name: "ServiceUnavailableException";
}
export interface _ServiceUnavailableExceptionDetails {
    /**
     * _ErrorCode shape
     */
    Code?: "Unauthorized" | "Forbidden" | "NotFound" | "BadRequest" | "Conflict" | "ServiceFailure" | "ServiceUnavailable" | "Unprocessable" | "Throttled" | "PreconditionFailed" | string;
    /**
     * _String shape
     */
    Message?: string;
}
