/**
 * <p>The Amazon Chime Business Calling settings for the administrator's AWS account. Includes any Amazon S3 buckets designated for storing call detail records.</p>
 */
export interface _BusinessCallingSettings {
    /**
     * <p>The Amazon S3 bucket designated for call detail record storage.</p>
     */
    CdrBucket?: string;
}
export declare type _UnmarshalledBusinessCallingSettings = _BusinessCallingSettings;
