/**
 * <p>The Amazon Chime Voice Connector settings. Includes any Amazon S3 buckets designated for storing call detail records.</p>
 */
export interface _VoiceConnectorSettings {
    /**
     * <p>The Amazon S3 bucket designated for call detail record storage.</p>
     */
    CdrBucket?: string;
}
export declare type _UnmarshalledVoiceConnectorSettings = _VoiceConnectorSettings;
