/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AssociatePhoneNumbersWithVoiceConnectorInput } from "../types/AssociatePhoneNumbersWithVoiceConnectorInput";
import { AssociatePhoneNumbersWithVoiceConnectorOutput } from "../types/AssociatePhoneNumbersWithVoiceConnectorOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/AssociatePhoneNumbersWithVoiceConnectorInput";
export * from "../types/AssociatePhoneNumbersWithVoiceConnectorOutput";
export * from "../types/AssociatePhoneNumbersWithVoiceConnectorExceptionsUnion";
export declare class AssociatePhoneNumbersWithVoiceConnectorCommand implements __aws_sdk_types.Command<InputTypesUnion, AssociatePhoneNumbersWithVoiceConnectorInput, OutputTypesUnion, AssociatePhoneNumbersWithVoiceConnectorOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: AssociatePhoneNumbersWithVoiceConnectorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AssociatePhoneNumbersWithVoiceConnectorInput, AssociatePhoneNumbersWithVoiceConnectorOutput, _stream.Readable>;
    constructor(input: AssociatePhoneNumbersWithVoiceConnectorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<AssociatePhoneNumbersWithVoiceConnectorInput, AssociatePhoneNumbersWithVoiceConnectorOutput>;
}
