"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociatePhoneNumbersWithVoiceConnector_1 = require("../model/operations/AssociatePhoneNumbersWithVoiceConnector");
var AssociatePhoneNumbersWithVoiceConnectorCommand = /** @class */ (function () {
    function AssociatePhoneNumbersWithVoiceConnectorCommand(input) {
        this.input = input;
        this.model = AssociatePhoneNumbersWithVoiceConnector_1.AssociatePhoneNumbersWithVoiceConnector;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociatePhoneNumbersWithVoiceConnectorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociatePhoneNumbersWithVoiceConnectorCommand;
}());
exports.AssociatePhoneNumbersWithVoiceConnectorCommand = AssociatePhoneNumbersWithVoiceConnectorCommand;
//# sourceMappingURL=AssociatePhoneNumbersWithVoiceConnectorCommand.js.map