/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchDeletePhoneNumberInput } from "../types/BatchDeletePhoneNumberInput";
import { BatchDeletePhoneNumberOutput } from "../types/BatchDeletePhoneNumberOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/BatchDeletePhoneNumberInput";
export * from "../types/BatchDeletePhoneNumberOutput";
export * from "../types/BatchDeletePhoneNumberExceptionsUnion";
export declare class BatchDeletePhoneNumberCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchDeletePhoneNumberInput, OutputTypesUnion, BatchDeletePhoneNumberOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: BatchDeletePhoneNumberInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchDeletePhoneNumberInput, BatchDeletePhoneNumberOutput, _stream.Readable>;
    constructor(input: BatchDeletePhoneNumberInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<BatchDeletePhoneNumberInput, BatchDeletePhoneNumberOutput>;
}
