"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchDeletePhoneNumber_1 = require("../model/operations/BatchDeletePhoneNumber");
var BatchDeletePhoneNumberCommand = /** @class */ (function () {
    function BatchDeletePhoneNumberCommand(input) {
        this.input = input;
        this.model = BatchDeletePhoneNumber_1.BatchDeletePhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchDeletePhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchDeletePhoneNumberCommand;
}());
exports.BatchDeletePhoneNumberCommand = BatchDeletePhoneNumberCommand;
//# sourceMappingURL=BatchDeletePhoneNumberCommand.js.map