"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchUpdateUser_1 = require("../model/operations/BatchUpdateUser");
var BatchUpdateUserCommand = /** @class */ (function () {
    function BatchUpdateUserCommand(input) {
        this.input = input;
        this.model = BatchUpdateUser_1.BatchUpdateUser;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchUpdateUserCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchUpdateUserCommand;
}());
exports.BatchUpdateUserCommand = BatchUpdateUserCommand;
//# sourceMappingURL=BatchUpdateUserCommand.js.map