/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateVoiceConnectorInput } from "../types/CreateVoiceConnectorInput";
import { CreateVoiceConnectorOutput } from "../types/CreateVoiceConnectorOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/CreateVoiceConnectorInput";
export * from "../types/CreateVoiceConnectorOutput";
export * from "../types/CreateVoiceConnectorExceptionsUnion";
export declare class CreateVoiceConnectorCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateVoiceConnectorInput, OutputTypesUnion, CreateVoiceConnectorOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: CreateVoiceConnectorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateVoiceConnectorInput, CreateVoiceConnectorOutput, _stream.Readable>;
    constructor(input: CreateVoiceConnectorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<CreateVoiceConnectorInput, CreateVoiceConnectorOutput>;
}
