/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteEventsConfigurationInput } from "../types/DeleteEventsConfigurationInput";
import { DeleteEventsConfigurationOutput } from "../types/DeleteEventsConfigurationOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/DeleteEventsConfigurationInput";
export * from "../types/DeleteEventsConfigurationOutput";
export * from "../types/DeleteEventsConfigurationExceptionsUnion";
export declare class DeleteEventsConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteEventsConfigurationInput, OutputTypesUnion, DeleteEventsConfigurationOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteEventsConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteEventsConfigurationInput, DeleteEventsConfigurationOutput, _stream.Readable>;
    constructor(input: DeleteEventsConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<DeleteEventsConfigurationInput, DeleteEventsConfigurationOutput>;
}
