"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteVoiceConnectorTerminationCredentials_1 = require("../model/operations/DeleteVoiceConnectorTerminationCredentials");
var DeleteVoiceConnectorTerminationCredentialsCommand = /** @class */ (function () {
    function DeleteVoiceConnectorTerminationCredentialsCommand(input) {
        this.input = input;
        this.model = DeleteVoiceConnectorTerminationCredentials_1.DeleteVoiceConnectorTerminationCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteVoiceConnectorTerminationCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteVoiceConnectorTerminationCredentialsCommand;
}());
exports.DeleteVoiceConnectorTerminationCredentialsCommand = DeleteVoiceConnectorTerminationCredentialsCommand;
//# sourceMappingURL=DeleteVoiceConnectorTerminationCredentialsCommand.js.map