"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociatePhoneNumberFromUser_1 = require("../model/operations/DisassociatePhoneNumberFromUser");
var DisassociatePhoneNumberFromUserCommand = /** @class */ (function () {
    function DisassociatePhoneNumberFromUserCommand(input) {
        this.input = input;
        this.model = DisassociatePhoneNumberFromUser_1.DisassociatePhoneNumberFromUser;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociatePhoneNumberFromUserCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociatePhoneNumberFromUserCommand;
}());
exports.DisassociatePhoneNumberFromUserCommand = DisassociatePhoneNumberFromUserCommand;
//# sourceMappingURL=DisassociatePhoneNumberFromUserCommand.js.map