/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetBotInput } from "../types/GetBotInput";
import { GetBotOutput } from "../types/GetBotOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetBotInput";
export * from "../types/GetBotOutput";
export * from "../types/GetBotExceptionsUnion";
export declare class GetBotCommand implements __aws_sdk_types.Command<InputTypesUnion, GetBotInput, OutputTypesUnion, GetBotOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetBotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetBotInput, GetBotOutput, _stream.Readable>;
    constructor(input: GetBotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetBotInput, GetBotOutput>;
}
