/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetEventsConfigurationInput } from "../types/GetEventsConfigurationInput";
import { GetEventsConfigurationOutput } from "../types/GetEventsConfigurationOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/GetEventsConfigurationInput";
export * from "../types/GetEventsConfigurationOutput";
export * from "../types/GetEventsConfigurationExceptionsUnion";
export declare class GetEventsConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetEventsConfigurationInput, OutputTypesUnion, GetEventsConfigurationOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: GetEventsConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetEventsConfigurationInput, GetEventsConfigurationOutput, _stream.Readable>;
    constructor(input: GetEventsConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<GetEventsConfigurationInput, GetEventsConfigurationOutput>;
}
