"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPhoneNumberOrder_1 = require("../model/operations/GetPhoneNumberOrder");
var GetPhoneNumberOrderCommand = /** @class */ (function () {
    function GetPhoneNumberOrderCommand(input) {
        this.input = input;
        this.model = GetPhoneNumberOrder_1.GetPhoneNumberOrder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPhoneNumberOrderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPhoneNumberOrderCommand;
}());
exports.GetPhoneNumberOrderCommand = GetPhoneNumberOrderCommand;
//# sourceMappingURL=GetPhoneNumberOrderCommand.js.map