"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetVoiceConnectorTermination_1 = require("../model/operations/GetVoiceConnectorTermination");
var GetVoiceConnectorTerminationCommand = /** @class */ (function () {
    function GetVoiceConnectorTerminationCommand(input) {
        this.input = input;
        this.model = GetVoiceConnectorTermination_1.GetVoiceConnectorTermination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetVoiceConnectorTerminationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetVoiceConnectorTerminationCommand;
}());
exports.GetVoiceConnectorTerminationCommand = GetVoiceConnectorTerminationCommand;
//# sourceMappingURL=GetVoiceConnectorTerminationCommand.js.map