/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPhoneNumbersInput } from "../types/ListPhoneNumbersInput";
import { ListPhoneNumbersOutput } from "../types/ListPhoneNumbersOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/ListPhoneNumbersInput";
export * from "../types/ListPhoneNumbersOutput";
export * from "../types/ListPhoneNumbersExceptionsUnion";
export declare class ListPhoneNumbersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPhoneNumbersInput, OutputTypesUnion, ListPhoneNumbersOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: ListPhoneNumbersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPhoneNumbersInput, ListPhoneNumbersOutput, _stream.Readable>;
    constructor(input: ListPhoneNumbersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<ListPhoneNumbersInput, ListPhoneNumbersOutput>;
}
