/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListUsersInput } from "../types/ListUsersInput";
import { ListUsersOutput } from "../types/ListUsersOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/ListUsersInput";
export * from "../types/ListUsersOutput";
export * from "../types/ListUsersExceptionsUnion";
export declare class ListUsersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListUsersInput, OutputTypesUnion, ListUsersOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: ListUsersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListUsersInput, ListUsersOutput, _stream.Readable>;
    constructor(input: ListUsersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<ListUsersInput, ListUsersOutput>;
}
