/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListVoiceConnectorsInput } from "../types/ListVoiceConnectorsInput";
import { ListVoiceConnectorsOutput } from "../types/ListVoiceConnectorsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/ListVoiceConnectorsInput";
export * from "../types/ListVoiceConnectorsOutput";
export * from "../types/ListVoiceConnectorsExceptionsUnion";
export declare class ListVoiceConnectorsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListVoiceConnectorsInput, OutputTypesUnion, ListVoiceConnectorsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: ListVoiceConnectorsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListVoiceConnectorsInput, ListVoiceConnectorsOutput, _stream.Readable>;
    constructor(input: ListVoiceConnectorsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<ListVoiceConnectorsInput, ListVoiceConnectorsOutput>;
}
