/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutVoiceConnectorOriginationInput } from "../types/PutVoiceConnectorOriginationInput";
import { PutVoiceConnectorOriginationOutput } from "../types/PutVoiceConnectorOriginationOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/PutVoiceConnectorOriginationInput";
export * from "../types/PutVoiceConnectorOriginationOutput";
export * from "../types/PutVoiceConnectorOriginationExceptionsUnion";
export declare class PutVoiceConnectorOriginationCommand implements __aws_sdk_types.Command<InputTypesUnion, PutVoiceConnectorOriginationInput, OutputTypesUnion, PutVoiceConnectorOriginationOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: PutVoiceConnectorOriginationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutVoiceConnectorOriginationInput, PutVoiceConnectorOriginationOutput, _stream.Readable>;
    constructor(input: PutVoiceConnectorOriginationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<PutVoiceConnectorOriginationInput, PutVoiceConnectorOriginationOutput>;
}
