"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutVoiceConnectorTermination_1 = require("../model/operations/PutVoiceConnectorTermination");
var PutVoiceConnectorTerminationCommand = /** @class */ (function () {
    function PutVoiceConnectorTerminationCommand(input) {
        this.input = input;
        this.model = PutVoiceConnectorTermination_1.PutVoiceConnectorTermination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutVoiceConnectorTerminationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutVoiceConnectorTerminationCommand;
}());
exports.PutVoiceConnectorTerminationCommand = PutVoiceConnectorTerminationCommand;
//# sourceMappingURL=PutVoiceConnectorTerminationCommand.js.map