/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutVoiceConnectorTerminationCredentialsInput } from "../types/PutVoiceConnectorTerminationCredentialsInput";
import { PutVoiceConnectorTerminationCredentialsOutput } from "../types/PutVoiceConnectorTerminationCredentialsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/PutVoiceConnectorTerminationCredentialsInput";
export * from "../types/PutVoiceConnectorTerminationCredentialsOutput";
export * from "../types/PutVoiceConnectorTerminationCredentialsExceptionsUnion";
export declare class PutVoiceConnectorTerminationCredentialsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutVoiceConnectorTerminationCredentialsInput, OutputTypesUnion, PutVoiceConnectorTerminationCredentialsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: PutVoiceConnectorTerminationCredentialsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutVoiceConnectorTerminationCredentialsInput, PutVoiceConnectorTerminationCredentialsOutput, _stream.Readable>;
    constructor(input: PutVoiceConnectorTerminationCredentialsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<PutVoiceConnectorTerminationCredentialsInput, PutVoiceConnectorTerminationCredentialsOutput>;
}
