/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegenerateSecurityTokenInput } from "../types/RegenerateSecurityTokenInput";
import { RegenerateSecurityTokenOutput } from "../types/RegenerateSecurityTokenOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/RegenerateSecurityTokenInput";
export * from "../types/RegenerateSecurityTokenOutput";
export * from "../types/RegenerateSecurityTokenExceptionsUnion";
export declare class RegenerateSecurityTokenCommand implements __aws_sdk_types.Command<InputTypesUnion, RegenerateSecurityTokenInput, OutputTypesUnion, RegenerateSecurityTokenOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: RegenerateSecurityTokenInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegenerateSecurityTokenInput, RegenerateSecurityTokenOutput, _stream.Readable>;
    constructor(input: RegenerateSecurityTokenInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<RegenerateSecurityTokenInput, RegenerateSecurityTokenOutput>;
}
