/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SearchAvailablePhoneNumbersInput } from "../types/SearchAvailablePhoneNumbersInput";
import { SearchAvailablePhoneNumbersOutput } from "../types/SearchAvailablePhoneNumbersOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/SearchAvailablePhoneNumbersInput";
export * from "../types/SearchAvailablePhoneNumbersOutput";
export * from "../types/SearchAvailablePhoneNumbersExceptionsUnion";
export declare class SearchAvailablePhoneNumbersCommand implements __aws_sdk_types.Command<InputTypesUnion, SearchAvailablePhoneNumbersInput, OutputTypesUnion, SearchAvailablePhoneNumbersOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: SearchAvailablePhoneNumbersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SearchAvailablePhoneNumbersInput, SearchAvailablePhoneNumbersOutput, _stream.Readable>;
    constructor(input: SearchAvailablePhoneNumbersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<SearchAvailablePhoneNumbersInput, SearchAvailablePhoneNumbersOutput>;
}
