/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateAccountSettingsInput } from "../types/UpdateAccountSettingsInput";
import { UpdateAccountSettingsOutput } from "../types/UpdateAccountSettingsOutput";
import { ChimeResolvedConfiguration } from "../ChimeConfiguration";
export * from "../types/UpdateAccountSettingsInput";
export * from "../types/UpdateAccountSettingsOutput";
export * from "../types/UpdateAccountSettingsExceptionsUnion";
export declare class UpdateAccountSettingsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateAccountSettingsInput, OutputTypesUnion, UpdateAccountSettingsOutput, ChimeResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateAccountSettingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateAccountSettingsInput, UpdateAccountSettingsOutput, _stream.Readable>;
    constructor(input: UpdateAccountSettingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ChimeResolvedConfiguration): __aws_sdk_types.Handler<UpdateAccountSettingsInput, UpdateAccountSettingsOutput>;
}
