"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateAccountSettings_1 = require("../model/operations/UpdateAccountSettings");
var UpdateAccountSettingsCommand = /** @class */ (function () {
    function UpdateAccountSettingsCommand(input) {
        this.input = input;
        this.model = UpdateAccountSettings_1.UpdateAccountSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateAccountSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateAccountSettingsCommand;
}());
exports.UpdateAccountSettingsCommand = UpdateAccountSettingsCommand;
//# sourceMappingURL=UpdateAccountSettingsCommand.js.map