"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePhoneNumber_1 = require("../model/operations/UpdatePhoneNumber");
var UpdatePhoneNumberCommand = /** @class */ (function () {
    function UpdatePhoneNumberCommand(input) {
        this.input = input;
        this.model = UpdatePhoneNumber_1.UpdatePhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePhoneNumberCommand;
}());
exports.UpdatePhoneNumberCommand = UpdatePhoneNumberCommand;
//# sourceMappingURL=UpdatePhoneNumberCommand.js.map