"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateBotInput = {
    type: "structure",
    required: ["DisplayName", "AccountId"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        DisplayName: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        Domain: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateBotInput.js.map