"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutEventsConfigurationInput = {
    type: "structure",
    required: ["AccountId", "BotId"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        BotId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "botId"
        },
        OutboundEventsHTTPSEndpoint: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        LambdaFunctionArn: {
            shape: {
                type: "string",
                sensitive: true
            }
        }
    }
};
//# sourceMappingURL=PutEventsConfigurationInput.js.map