"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateBotInput = {
    type: "structure",
    required: ["AccountId", "BotId"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        BotId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "botId"
        },
        Disabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=UpdateBotInput.js.map