"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateUserInput = {
    type: "structure",
    required: ["AccountId", "UserId"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        UserId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "userId"
        },
        LicenseType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=UpdateUserInput.js.map