"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _UserSettings_1 = require("./_UserSettings");
exports.UpdateUserSettingsInput = {
    type: "structure",
    required: ["AccountId", "UserId", "UserSettings"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "accountId"
        },
        UserId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "userId"
        },
        UserSettings: {
            shape: _UserSettings_1._UserSettings
        }
    }
};
//# sourceMappingURL=UpdateUserSettingsInput.js.map