"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateVoiceConnectorInput = {
    type: "structure",
    required: ["VoiceConnectorId", "Name", "RequireEncryption"],
    members: {
        VoiceConnectorId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "voiceConnectorId"
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RequireEncryption: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=UpdateVoiceConnectorInput.js.map