"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Bot = {
    type: "structure",
    required: [],
    members: {
        BotId: {
            shape: {
                type: "string"
            }
        },
        UserId: {
            shape: {
                type: "string"
            }
        },
        DisplayName: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        BotType: {
            shape: {
                type: "string"
            }
        },
        Disabled: {
            shape: {
                type: "boolean"
            }
        },
        CreatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        UpdatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        BotEmail: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        SecurityToken: {
            shape: {
                type: "string",
                sensitive: true
            }
        }
    }
};
//# sourceMappingURL=_Bot.js.map