"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _OrderedPhoneNumberList_1 = require("./_OrderedPhoneNumberList");
exports._PhoneNumberOrder = {
    type: "structure",
    required: [],
    members: {
        PhoneNumberOrderId: {
            shape: {
                type: "string"
            }
        },
        ProductType: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        OrderedPhoneNumbers: {
            shape: _OrderedPhoneNumberList_1._OrderedPhoneNumberList
        },
        CreatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        UpdatedTimestamp: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_PhoneNumberOrder.js.map