import { AssociatePhoneNumberWithUserInput } from "./AssociatePhoneNumberWithUserInput";
import { AssociatePhoneNumbersWithVoiceConnectorInput } from "./AssociatePhoneNumbersWithVoiceConnectorInput";
import { BatchDeletePhoneNumberInput } from "./BatchDeletePhoneNumberInput";
import { BatchSuspendUserInput } from "./BatchSuspendUserInput";
import { BatchUnsuspendUserInput } from "./BatchUnsuspendUserInput";
import { BatchUpdatePhoneNumberInput } from "./BatchUpdatePhoneNumberInput";
import { BatchUpdateUserInput } from "./BatchUpdateUserInput";
import { CreateAccountInput } from "./CreateAccountInput";
import { CreateBotInput } from "./CreateBotInput";
import { CreatePhoneNumberOrderInput } from "./CreatePhoneNumberOrderInput";
import { CreateVoiceConnectorInput } from "./CreateVoiceConnectorInput";
import { DeleteAccountInput } from "./DeleteAccountInput";
import { DeleteEventsConfigurationInput } from "./DeleteEventsConfigurationInput";
import { DeletePhoneNumberInput } from "./DeletePhoneNumberInput";
import { DeleteVoiceConnectorInput } from "./DeleteVoiceConnectorInput";
import { DeleteVoiceConnectorOriginationInput } from "./DeleteVoiceConnectorOriginationInput";
import { DeleteVoiceConnectorTerminationInput } from "./DeleteVoiceConnectorTerminationInput";
import { DeleteVoiceConnectorTerminationCredentialsInput } from "./DeleteVoiceConnectorTerminationCredentialsInput";
import { DisassociatePhoneNumberFromUserInput } from "./DisassociatePhoneNumberFromUserInput";
import { DisassociatePhoneNumbersFromVoiceConnectorInput } from "./DisassociatePhoneNumbersFromVoiceConnectorInput";
import { GetAccountInput } from "./GetAccountInput";
import { GetAccountSettingsInput } from "./GetAccountSettingsInput";
import { GetBotInput } from "./GetBotInput";
import { GetEventsConfigurationInput } from "./GetEventsConfigurationInput";
import { GetGlobalSettingsInput } from "./GetGlobalSettingsInput";
import { GetPhoneNumberInput } from "./GetPhoneNumberInput";
import { GetPhoneNumberOrderInput } from "./GetPhoneNumberOrderInput";
import { GetUserInput } from "./GetUserInput";
import { GetUserSettingsInput } from "./GetUserSettingsInput";
import { GetVoiceConnectorInput } from "./GetVoiceConnectorInput";
import { GetVoiceConnectorOriginationInput } from "./GetVoiceConnectorOriginationInput";
import { GetVoiceConnectorTerminationInput } from "./GetVoiceConnectorTerminationInput";
import { GetVoiceConnectorTerminationHealthInput } from "./GetVoiceConnectorTerminationHealthInput";
import { InviteUsersInput } from "./InviteUsersInput";
import { ListAccountsInput } from "./ListAccountsInput";
import { ListBotsInput } from "./ListBotsInput";
import { ListPhoneNumberOrdersInput } from "./ListPhoneNumberOrdersInput";
import { ListPhoneNumbersInput } from "./ListPhoneNumbersInput";
import { ListUsersInput } from "./ListUsersInput";
import { ListVoiceConnectorTerminationCredentialsInput } from "./ListVoiceConnectorTerminationCredentialsInput";
import { ListVoiceConnectorsInput } from "./ListVoiceConnectorsInput";
import { LogoutUserInput } from "./LogoutUserInput";
import { PutEventsConfigurationInput } from "./PutEventsConfigurationInput";
import { PutVoiceConnectorOriginationInput } from "./PutVoiceConnectorOriginationInput";
import { PutVoiceConnectorTerminationInput } from "./PutVoiceConnectorTerminationInput";
import { PutVoiceConnectorTerminationCredentialsInput } from "./PutVoiceConnectorTerminationCredentialsInput";
import { RegenerateSecurityTokenInput } from "./RegenerateSecurityTokenInput";
import { ResetPersonalPINInput } from "./ResetPersonalPINInput";
import { RestorePhoneNumberInput } from "./RestorePhoneNumberInput";
import { SearchAvailablePhoneNumbersInput } from "./SearchAvailablePhoneNumbersInput";
import { UpdateAccountInput } from "./UpdateAccountInput";
import { UpdateAccountSettingsInput } from "./UpdateAccountSettingsInput";
import { UpdateBotInput } from "./UpdateBotInput";
import { UpdateGlobalSettingsInput } from "./UpdateGlobalSettingsInput";
import { UpdatePhoneNumberInput } from "./UpdatePhoneNumberInput";
import { UpdateUserInput } from "./UpdateUserInput";
import { UpdateUserSettingsInput } from "./UpdateUserSettingsInput";
import { UpdateVoiceConnectorInput } from "./UpdateVoiceConnectorInput";
export declare type InputTypesUnion = AssociatePhoneNumberWithUserInput | AssociatePhoneNumbersWithVoiceConnectorInput | BatchDeletePhoneNumberInput | BatchSuspendUserInput | BatchUnsuspendUserInput | BatchUpdatePhoneNumberInput | BatchUpdateUserInput | CreateAccountInput | CreateBotInput | CreatePhoneNumberOrderInput | CreateVoiceConnectorInput | DeleteAccountInput | DeleteEventsConfigurationInput | DeletePhoneNumberInput | DeleteVoiceConnectorInput | DeleteVoiceConnectorOriginationInput | DeleteVoiceConnectorTerminationInput | DeleteVoiceConnectorTerminationCredentialsInput | DisassociatePhoneNumberFromUserInput | DisassociatePhoneNumbersFromVoiceConnectorInput | GetAccountInput | GetAccountSettingsInput | GetBotInput | GetEventsConfigurationInput | GetGlobalSettingsInput | GetPhoneNumberInput | GetPhoneNumberOrderInput | GetUserInput | GetUserSettingsInput | GetVoiceConnectorInput | GetVoiceConnectorOriginationInput | GetVoiceConnectorTerminationInput | GetVoiceConnectorTerminationHealthInput | InviteUsersInput | ListAccountsInput | ListBotsInput | ListPhoneNumberOrdersInput | ListPhoneNumbersInput | ListUsersInput | ListVoiceConnectorTerminationCredentialsInput | ListVoiceConnectorsInput | LogoutUserInput | PutEventsConfigurationInput | PutVoiceConnectorOriginationInput | PutVoiceConnectorTerminationInput | PutVoiceConnectorTerminationCredentialsInput | RegenerateSecurityTokenInput | ResetPersonalPINInput | RestorePhoneNumberInput | SearchAvailablePhoneNumbersInput | UpdateAccountInput | UpdateAccountSettingsInput | UpdateBotInput | UpdateGlobalSettingsInput | UpdatePhoneNumberInput | UpdateUserInput | UpdateUserSettingsInput | UpdateVoiceConnectorInput;
