import { AssociatePhoneNumberWithUserOutput } from "./AssociatePhoneNumberWithUserOutput";
import { AssociatePhoneNumbersWithVoiceConnectorOutput } from "./AssociatePhoneNumbersWithVoiceConnectorOutput";
import { BatchDeletePhoneNumberOutput } from "./BatchDeletePhoneNumberOutput";
import { BatchSuspendUserOutput } from "./BatchSuspendUserOutput";
import { BatchUnsuspendUserOutput } from "./BatchUnsuspendUserOutput";
import { BatchUpdatePhoneNumberOutput } from "./BatchUpdatePhoneNumberOutput";
import { BatchUpdateUserOutput } from "./BatchUpdateUserOutput";
import { CreateAccountOutput } from "./CreateAccountOutput";
import { CreateBotOutput } from "./CreateBotOutput";
import { CreatePhoneNumberOrderOutput } from "./CreatePhoneNumberOrderOutput";
import { CreateVoiceConnectorOutput } from "./CreateVoiceConnectorOutput";
import { DeleteAccountOutput } from "./DeleteAccountOutput";
import { DeleteEventsConfigurationOutput } from "./DeleteEventsConfigurationOutput";
import { DeletePhoneNumberOutput } from "./DeletePhoneNumberOutput";
import { DeleteVoiceConnectorOutput } from "./DeleteVoiceConnectorOutput";
import { DeleteVoiceConnectorOriginationOutput } from "./DeleteVoiceConnectorOriginationOutput";
import { DeleteVoiceConnectorTerminationOutput } from "./DeleteVoiceConnectorTerminationOutput";
import { DeleteVoiceConnectorTerminationCredentialsOutput } from "./DeleteVoiceConnectorTerminationCredentialsOutput";
import { DisassociatePhoneNumberFromUserOutput } from "./DisassociatePhoneNumberFromUserOutput";
import { DisassociatePhoneNumbersFromVoiceConnectorOutput } from "./DisassociatePhoneNumbersFromVoiceConnectorOutput";
import { GetAccountOutput } from "./GetAccountOutput";
import { GetAccountSettingsOutput } from "./GetAccountSettingsOutput";
import { GetBotOutput } from "./GetBotOutput";
import { GetEventsConfigurationOutput } from "./GetEventsConfigurationOutput";
import { GetGlobalSettingsOutput } from "./GetGlobalSettingsOutput";
import { GetPhoneNumberOutput } from "./GetPhoneNumberOutput";
import { GetPhoneNumberOrderOutput } from "./GetPhoneNumberOrderOutput";
import { GetUserOutput } from "./GetUserOutput";
import { GetUserSettingsOutput } from "./GetUserSettingsOutput";
import { GetVoiceConnectorOutput } from "./GetVoiceConnectorOutput";
import { GetVoiceConnectorOriginationOutput } from "./GetVoiceConnectorOriginationOutput";
import { GetVoiceConnectorTerminationOutput } from "./GetVoiceConnectorTerminationOutput";
import { GetVoiceConnectorTerminationHealthOutput } from "./GetVoiceConnectorTerminationHealthOutput";
import { InviteUsersOutput } from "./InviteUsersOutput";
import { ListAccountsOutput } from "./ListAccountsOutput";
import { ListBotsOutput } from "./ListBotsOutput";
import { ListPhoneNumberOrdersOutput } from "./ListPhoneNumberOrdersOutput";
import { ListPhoneNumbersOutput } from "./ListPhoneNumbersOutput";
import { ListUsersOutput } from "./ListUsersOutput";
import { ListVoiceConnectorTerminationCredentialsOutput } from "./ListVoiceConnectorTerminationCredentialsOutput";
import { ListVoiceConnectorsOutput } from "./ListVoiceConnectorsOutput";
import { LogoutUserOutput } from "./LogoutUserOutput";
import { PutEventsConfigurationOutput } from "./PutEventsConfigurationOutput";
import { PutVoiceConnectorOriginationOutput } from "./PutVoiceConnectorOriginationOutput";
import { PutVoiceConnectorTerminationOutput } from "./PutVoiceConnectorTerminationOutput";
import { PutVoiceConnectorTerminationCredentialsOutput } from "./PutVoiceConnectorTerminationCredentialsOutput";
import { RegenerateSecurityTokenOutput } from "./RegenerateSecurityTokenOutput";
import { ResetPersonalPINOutput } from "./ResetPersonalPINOutput";
import { RestorePhoneNumberOutput } from "./RestorePhoneNumberOutput";
import { SearchAvailablePhoneNumbersOutput } from "./SearchAvailablePhoneNumbersOutput";
import { UpdateAccountOutput } from "./UpdateAccountOutput";
import { UpdateAccountSettingsOutput } from "./UpdateAccountSettingsOutput";
import { UpdateBotOutput } from "./UpdateBotOutput";
import { UpdateGlobalSettingsOutput } from "./UpdateGlobalSettingsOutput";
import { UpdatePhoneNumberOutput } from "./UpdatePhoneNumberOutput";
import { UpdateUserOutput } from "./UpdateUserOutput";
import { UpdateUserSettingsOutput } from "./UpdateUserSettingsOutput";
import { UpdateVoiceConnectorOutput } from "./UpdateVoiceConnectorOutput";
export declare type OutputTypesUnion = AssociatePhoneNumberWithUserOutput | AssociatePhoneNumbersWithVoiceConnectorOutput | BatchDeletePhoneNumberOutput | BatchSuspendUserOutput | BatchUnsuspendUserOutput | BatchUpdatePhoneNumberOutput | BatchUpdateUserOutput | CreateAccountOutput | CreateBotOutput | CreatePhoneNumberOrderOutput | CreateVoiceConnectorOutput | DeleteAccountOutput | DeleteEventsConfigurationOutput | DeletePhoneNumberOutput | DeleteVoiceConnectorOutput | DeleteVoiceConnectorOriginationOutput | DeleteVoiceConnectorTerminationOutput | DeleteVoiceConnectorTerminationCredentialsOutput | DisassociatePhoneNumberFromUserOutput | DisassociatePhoneNumbersFromVoiceConnectorOutput | GetAccountOutput | GetAccountSettingsOutput | GetBotOutput | GetEventsConfigurationOutput | GetGlobalSettingsOutput | GetPhoneNumberOutput | GetPhoneNumberOrderOutput | GetUserOutput | GetUserSettingsOutput | GetVoiceConnectorOutput | GetVoiceConnectorOriginationOutput | GetVoiceConnectorTerminationOutput | GetVoiceConnectorTerminationHealthOutput | InviteUsersOutput | ListAccountsOutput | ListBotsOutput | ListPhoneNumberOrdersOutput | ListPhoneNumbersOutput | ListUsersOutput | ListVoiceConnectorTerminationCredentialsOutput | ListVoiceConnectorsOutput | LogoutUserOutput | PutEventsConfigurationOutput | PutVoiceConnectorOriginationOutput | PutVoiceConnectorTerminationOutput | PutVoiceConnectorTerminationCredentialsOutput | RegenerateSecurityTokenOutput | ResetPersonalPINOutput | RestorePhoneNumberOutput | SearchAvailablePhoneNumbersOutput | UpdateAccountOutput | UpdateAccountSettingsOutput | UpdateBotOutput | UpdateGlobalSettingsOutput | UpdatePhoneNumberOutput | UpdateUserOutput | UpdateUserSettingsOutput | UpdateVoiceConnectorOutput;
